.\"	$NetBSD: atu.4,v 1.1 2005/01/24 02:06:14 joff Exp $
.\"	$OpenBSD: atu.4,v 1.9 2005/01/06 01:02:13 jmc Exp $
.\"
.\" Copyright (c) 1997, 1998, 1999
.\"	Bill Paul <wpaul@ctr.columbia.edu>. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Bill Paul.
.\" 4. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"   without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY Bill Paul AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL Bill Paul OR THE VOICES IN HIS HEAD
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
.\" THE POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd January 23, 2005
.Dt ATU 4
.Os
.Sh NAME
.Nm atu
.Nd Atmel at76c50x 802.11B wireless network interfaces
.Sh SYNOPSIS
.Cd "atu* at uhub? port ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for wireless network adapters based around
the Atmel at76c503, at76c503a, at76c505, and at76c505a USB chipsets.
.Pp
Supported features include 802.11 and 802.3 frames, power management, BSS,
IBSS, ad-hoc, and host-based access point mode.
.Pp
The
.Nm
driver encapsulates all IP and ARP traffic as 802.11 frames, however
it can receive either 802.11 or 802.3 frames.
Transmit speed is selectable between 1Mbps fixed, 2Mbps fixed, 2Mbps
with auto fallback, 5.5Mbps, 8Mbps, or 11Mbps depending on your hardware.
.Pp
Four different radio chipsets are used along with the device, each
requiring a different firmware.
.Pp
By default, the
.Nm
driver configures the card for BSS operation (aka infrastructure
mode).
This mode requires the use of an access point (base station).
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Pp
The following devices are among those supported by the
.Nm
driver:
.Pp
.Bl -tag -width Ds -offset indent -compact
.It Tn Acer Peripherals AWL400
.It Tn AcerP AWL-300
.It Tn Aincomm AWU2000B
.It Tn Atmel 2662W-V4
.It Tn Atmel BW002
.It Tn Atmel DWL-120
.It Tn Atmel WL-1330
.It Tn Belkin F5D6050
.It Tn Geowave GW-US11S
.It Tn Linksys WUSB11
.It Tn Linksys WUSB11-V28
.It Tn Ovislink AirLive
.It Tn SMC 2662W-AR
.El
.Sh SEE ALSO
.Xr arp 4 ,
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr netintro 4 ,
.Xr usb 4 ,
.Xr ifconfig 8 ,
.Xr wiconfig 8
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was written by
.An Daan Vreeken
and ported to
.Ox
by
.An Theo de Raadt
and
.An David Gwynne .
The
.Ox
driver was then ported to
.Nx
by
.An Jesse Off
.Aq joff@NetBSD.org .
